<?php

namespace App\Entity;

//use App\Repository\UserRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity()]
#[ORM\Table(name: 'lis_tipologia_oggetto')]
class VocabObjectType implements \App\VocabInterface
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column(name: 'id_lis_tip_ogg')]
    private ?int $id = null;

    #[ORM\Column(length: 80, name: 'lis_tip_ogg')]
    private ?string $term = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getTerm(): ?string
    {
        return $this->term;
    }

    public function setTerm(string $term): static
    {
        $this->term = $term;

        return $this;
    }
}

